%define anolis_release 2

Name:           nfs4-acl-tools
Version:        0.4.2
Release:        %{anolis_release}%{?dist}
Summary:        The nfs4 ACL tools
License:        BSD
URL:            http://git.linux-nfs.org/?p=bfields/nfs4-acl-tools.git;a=summary
Source0:        http://linux-nfs.org/~steved/nfs4-acl-tools/%{name}-%{version}.tar.gz

BuildRequires: make libtool libattr-devel

%description
This package contains commandline ACL utilities for the Linux
NFSv4 client.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure \
	CFLAGS="%{build_cflags} -D_FILE_OFFSET_BITS=64" \
	LDFLAGS="%{build_ldflags}"

%make_build

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%generate_compatibility_deps

%files
%license COPYING
%doc INSTALL VERSION
%{_bindir}/nfs4_editfacl
%{_bindir}/nfs4_getfacl
%{_bindir}/nfs4_setfacl
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{abidir}
%{abidir}/nfs4_getfacl-option.list
%{abidir}/nfs4_setfacl-option.list

%files doc
%doc README TODO

%changelog
* Mon Dec 25 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.4.2-2
- rebuild

* Tue Apr 11 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.4.2-1
- init upstream from version 0.4.2
